package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.BisSinsSche;

/**
 * 安全检查方案 服务层
 */
public interface IBisSinsScheService {

    /**
     * 查询安全检查方案信息
     * @param guid 查询条件
     * @return 安全检查方案信息
     */
    BisSinsSche selectBisSinsScheByGuid(String guid);

    /**
     * 查询安全检查方案列表
     * @param bisSinsSche 安全检查方案查询条件
     * @return 安全检查方案集合
     */
    List<BisSinsSche> selectBisSinsScheList(BisSinsSche bisSinsSche);

    /**
     * 新增安全检查方案
     * @param bisSinsSche 安全检查方案信息
     * @return 影响行数
     */
    int insertBisSinsSche(BisSinsSche bisSinsSche);

    /**
     * 修改安全检查方案
     * @param bisSinsSche 安全检查方案信息
     * @return 影响行数
     */
    int updateBisSinsSche(BisSinsSche bisSinsSche);

    /**
     * 删除安全检查方案
     * @param guid 安全检查方案主键
     * @return 影响行数
     */
    int deleteBisSinsScheByGuid(String guid);

    /**
     * 批量删除安全检查方案
     * @param guids 安全检查方案主键数组
     * @return 影响行数
     */
    int deleteBisSinsScheByGuids(String[] guids);
}
